Installation der Sprachpakete Französisch und Spanisch funktioniert nicht 5.4.1

Seit der Version 5.4.1 kann man die Shopware Lokalisierungs-Pakete für die Sprachen Französisch und Spanisch nicht mehr installieren. Es erfolgt eine Fehlermeldung nach dem Muster
 

Unable to install, got exception: An error occurred when importing namespace “frontend/checkout/confirm” for locale “108” 

Das scheint ein Bug zu sein,denn mit den Version 5.3.7 gab es dieses Problem nicht. In der Folge kann zwar das jeweilige Sprach-Plugin installieren und aktivieren, aber im Frontend werden bei Sprachshops die Textbausteine nicht verwendet.

Gibt es einen Workaround, mit dem man eine saubere Installation bewerkstelligen kann?

 

 

Hi,

das haben wir ebenfalls bereits festgestellt und arbeiten an einer Lösung. Man kann natürlich die Bausteine manuell in die Datenbank importieren.
Würde aber empfehlen, da kurz zu warten - Ich denke es wird sehr kurzfristig eine Anpssung / Lösung geben

Sebastian

1 Like

@SebastianKlöpper‍ 

For the dutch language plugin th error is : Unable to update, got exception: An error occurred when importing namespace “frontend/checkout/confirm” for locale “176”

For the french language plugin : Unable to update, got exception: An error occurred when importing namespace “frontend/checkout/confirm” for locale “108”

Then after upgrade 5.4.0 to 5.4.1 most of the backend is not working : you can’t use plugin manager anymore, nor the shopworlds, or customers, products etc … Frontend is working fine however. Had to put my backup back to 5.4.0.

Hello,

the translation plugins for French, Spanish and Dutch were recently updated. The error should not occur anymore

Best regards from Schöppingen

cool Michael Telgmann

2 Likes

Installation french plugin is OK. However, a lot of text and buttons is still in german. When i translate them (and regenerate all the cache) they still remain in german. See screenshot below.

 and

Anyone an idee what i can do ??

 

Thx

Hans

Maybe the localization isn‘t set correct to France/French in the basic settings-> shops ?

I used localization French (Belgium) because French (France) gives an error on the Homepage. The translation French (France) is indeed good.

The errors on my testsite homepage are (in inspector console from the browser):

SyntaxError: missing ) after argument list[Meer info] fr:422:373

TypeError: document.asyncReady is not a function[Meer info] fr:488:1

TypeError: window.controller is undefined[Meer info] 1521821352_942b48c554555d317464a3330d39eee8.js:454:1549

ReferenceError: asyncCallbacks is not defined[Meer info] fr:505:5

 

Also this localization French (France)  behaves weird. You can change the language but once you choose French you cannot go to the other languages anymore.

 

Thx for your time

Hans

 

The language pack is only for French (France). The import is only for this localization.

If you got errors it is necessary to check, why this error appears. Belgium e.g. got no snippets 

Sebastian